import java.util.*;

public class Indomie {
	public static void main(String[] args){
		double[][] dp = new double[52][52];
		for (int i=1; i<52; i++) dp[0][i] = 1.0;
		for (int i=1; i<52; i++)
			for (int j=1; j<52; j++)
				dp[i][j] = 2*dp[i-1][j] + dp[i-1][j-1];

		// dp[i][j] digeser menjadi dp[i][j+1]
		Scanner scan = new Scanner(System.in);
		while (scan.hasNextInt()){
			int N = scan.nextInt(), S = scan.nextInt();
			System.out.printf("%.5f\n",100.0*dp[N][S]/dp[N][S+1]);
		}
	}
}
